﻿WITH 
    X AS (
        SELECT 
            ST_Snap(
                (SELECT ST_GeometryN(geom,1) FROM mbta.mbta_arc_original WHERE ST_NumGeometries(geom) <> 1),
                (SELECT ST_GeometryN(geom,2) FROM mbta.mbta_arc_original WHERE ST_NumGeometries(geom) <> 1),
                1
            ) AS geom
    ),
    Y AS (
        SELECT ST_GeometryN(geom,2) AS geom FROM mbta.mbta_arc_original WHERE ST_NumGeometries(geom) <> 1
    )        
SELECT ST_LineMerge(ST_Union(X.geom, Y.geom)) FROM X CROSS JOIN Y;

SELECT * FROM mbta.mbta_lines_vertices_pgr;

SELECT * FROM mbta.mbta_node;

SELECT ST_Snap(geom,ST_GeomFromText('POINT(232841 899752)',26986),5) FROM mbta.mbta_lines WHERE line = 'GREEN' AND route IN ('B','C','D')
SELECT ST_Boundary(geom) FROM mbta.mbta_lines;

SELECT * FROM mbta.mbta_lines;

SELECT line, route, ST_LineMerge(ST_Union(geom)) AS geom
FROM mbta.mbta_arc 
GROUP BY line, route
ORDER BY line, route;

SELECT * FROM mbta.mbta_arc;

SELECT 1 AS id, ST_GeometryN(geom,1) FROM mbta.mbta_arc_original WHERE ST_NumGeometries(geom) <> 1
UNION ALL
SELECT 2, ST_GeometryN(geom,2) FROM mbta.mbta_arc_original WHERE ST_NumGeometries(geom) <> 1;
SELECT line, geom FROM mbta.mbta_arc_original;
