﻿SELECT name, the_geom FROM osm.ways; -- OJ
SELECT osm_id, the_geom FROM osm.ways_vertices_pgr; -- OJ

SELECT * FROM osm.ways WHERE name = 'Court Street';

SELECT * FROM pgr_dijkstra($$SELECT osm_id AS id, source_osm AS source, target_osm AS target, cost_s AS cost, reverse_cost_s AS reverse_cost FROM osm.ways$$, 61519549, 61519547);
SELECT * FROM pgr_dijkstra($$SELECT osm_id AS id, source_osm AS source, target_osm AS target, cost_s AS cost, reverse_cost_s AS reverse_cost FROM osm.ways$$, 61519547, 61519549);
SELECT * FROM pgr_dijkstra($$SELECT osm_id AS id, source_osm AS source, target_osm AS target, cost_s AS cost FROM osm.ways$$, 61519547, 61519549, directed := FALSE);

SELECT * FROM pois;

-- OJ

SELECT the_geom FROM osm.ways WHERE gid IN (
SELECT edge FROM pgr_dijkstra($$SELECT gid AS id, source, target, cost_s AS cost, reverse_cost_s AS reverse_cost FROM osm.ways$$, 6511, 8633));

WITH X AS (SELECT * FROM pgr_dijkstra($$SELECT gid AS id, source, target, cost_s AS cost, reverse_cost_s AS reverse_cost FROM osm.ways$$, 6511, 8633))
SELECT * FROM X INNER JOIN osm.ways E ON X.edge = E.gid
ORDER BY X.seq